export type Location = {
    id: string;
    start: {
        line: number;
        column: number;
        index: number;
    };
    end: {
        line: number;
        column: number;
        index: number;
    };
};
export type InstrumentationData = {
    [path: string]: {
        hash: string;
        statementMap: {
            [id: string]: Location;
        };
        branchMap: {
            [id: string]: {
                line: number;
                type: string;
                loc: Location;
                locations: [Location, Location];
            };
        };
        fnMap: {
            [id: string]: {
                name: string;
                line: number;
                decl: Location;
                loc: Location;
            };
        };
        s: {
            [id: string]: number;
        };
        f: {
            [id: string]: number;
        };
        b: {
            [id: string]: [number, number];
        };
    };
};
//# sourceMappingURL=InstrumentationData.d.ts.map